//
// Created by sebastian on 05.08.26.
//

#include "SequenceDiceSource.h"

int SequenceDiceSource::roll() {
    int v = m_diceValues.at(m_index);
    m_index = std::min(m_index +1, m_diceValues.size() -1);
    return v;
}
